canmenu=false




function mini_create()
init_mini(1);
create_mini(30,26,40,100,"m23_palo4ka");
end;

canmenu=false

local finish=false;

function gameinput (sender,id,attachedID)
	MiniInterfaceHandler( sender, id );	
-----------------------------------------------------------------------------------------------------------------------
	if sender==33 then	
CreateWindow(CWX,CWY,"666",3345,nil,100,230);	
	end;
	if sender==26 then
	
	RemoveWindow(8,2.8,"DestroyMyWindow")
	end
	
	if sender==30 then
	if mini_start then
			StopAllEffects()
			setstatemenu()
			StopMusic()
			mini_start=false;
		return;end
		BlockCursor(false)
		delete_tree_leaf("Root",nazvlevela);	
		NextLevel(30)	
	return;end;
	
	if sender==66 and  not flags.mini_complete then

	mini_game_reset_Confluence();	
	end
	if sender==10 then	
		mini_start=false;
		flags.mini_complete=true;	
		flags.mini19=true;
		StartTimer(2100,0.1);	
		BlockCursor(true)
	return; end;
	
	if sender==36  then
		flags.mini_complete = true ;
		flags.start_draw = false;
		del_object_from_game(obj.dragonfly.id)
		flags.finish=true;				
		 DeleteElement("gr",obj.kluch19_1.id);	
		  DeleteElement("gr",obj.spichki.id);	
		leafobj={2234}
		GetRenderTarget(2234,"rendertar");	
		minigg=true;
		levelnext=20;
	return;end;	
	
	
		
	
	
	if sender==1 then				
			
				
			if id>=100 and id<=125 then
			check_mini_game_Confluence();
			playeffect("109");
			return ; end	
	return; end;	
	
	
	if sender==6 and not flags.mini_complete then
			
		 check_mini_game_Confluence();
				
	return;end;

	
	
	
end;


